Name:		autoconf-gcc-compat
Version:	2.64
Release:	1%{?dist}
Summary:	A GNU tool for automatically configuring source code

License:	GPLv3+
URL:		https://www.gnu.org/software/automake/
Source0:	http://ftp.gnu.org/gnu/autoconf/autoconf-2.64.tar.bz2

BuildArch:	noarch

# Copied from F23 autoconf.spec
BuildRequires:	m4 >= 1.4.14
Requires:	m4 >= 1.4.14
BuildRequires:	perl-generators
BuildRequires:	perl-macros
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Getopt::Long)

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.

Autoconf version %{version} is required for GCC development.

%global debug_package %{nil}

%prep
%setup -q -n autoconf-%{version}

%build
./configure --prefix=/opt/autotools-gcc --program-suffix=_
# not parallel safe
make


%install
%make_install
cat > ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autoconf << EOT
#!/usr/bin/bash
export AUTOCONF=/opt/autotools-gcc/bin/autoconf_
export AUTOHEADER=/opt/autotools-gcc/bin/autoheader_
if [ -f /opt/autotools-gcc/bin/automake_ ]; then
  export AUTOMAKE=/opt/autotools-gcc/bin/automake_
  export ACLOCAL=/opt/autotools-gcc/bin/aclocal_
  export AUTOM4TE=/opt/autotools-gcc/bin/autom4te_
fi
exec /opt/autotools-gcc/bin/\${0##*/}_
EOT
chmod 755 ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autoconf
ln -s autoconf ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autoheader
ln -s autoconf ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autoreconf

%files
/opt/autotools-gcc/bin/*
/opt/autotools-gcc/share/autoconf/*
%exclude /opt/autotools-gcc/share/info
%exclude /opt/autotools-gcc/share/man

%changelog
* Wed Jan 06 2016 Jonathan Wakely <jwakely@redhat.com> 2.64-1
- Initial package.
